#include "PalmType.h"
#include "PalmChip.h"

void L3ClockOn()
{
	XBYTE[UDA_L3CLK] = 0x03;
}

void L3ClockOff()
{
	XBYTE[UDA_L3CLK] = 0x02;
}

void L3ClockBlink()
{
	if (XBYTE[UDA_L3CLK] & 0x01)
	{
		L3ClockOff();
	}
	else
	{
		L3ClockOn();
	}
}

void L3ModeOn()
{
	XBYTE[UDA_L3DATA] |= 0x30;
}

void L3ModeOff()
{
	XBYTE[UDA_L3DATA] &= 0xef;
}

/*
void L3ModeBlink()
{
	if (XBYTE[UDA_L3DATA] & 0x10)
	{
		L3ModeOff();
	}
	else
	{
		L3ModeOn();
	}
}
*/

void L3DataOn()
{
	XBYTE[UDA_L3DATA] |= 0x03;
}

void L3DataOff()
{
	XBYTE[UDA_L3DATA] &= 0xfe;
}

/*
void L3DataBlink()
{
	if (XBYTE[UDA_L3DATA] & 0x01)
	{
		L3DataOff();
	}
	else
	{
		L3DataOn();
	}
}
*/
